Horoscope range
curl --request POST \
--url https://api.astrom8.com/api/v3/horoscope/sign/range \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sign": "leo",
"from": "2023-12-25",
"to": "2023-12-25",
"brand_name": "<string>",
"language": "en"
}
'import requests
url = "https://api.astrom8.com/api/v3/horoscope/sign/range"
payload = {
"sign": "leo",
"from": "2023-12-25",
"to": "2023-12-25",
"brand_name": "<string>",
"language": "en"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sign: 'leo',
from: '2023-12-25',
to: '2023-12-25',
brand_name: '<string>',
language: 'en'
})
};
fetch('https://api.astrom8.com/api/v3/horoscope/sign/range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sign": "<string>",
"language": "<string>",
"ranges": [
{
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"text": "<string>",
"mood": "<string>",
"lucky_number": 123
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}Horoscopes
Horoscope range
POST
/
api
/
v3
/
horoscope
/
sign
/
range
Horoscope range
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
Optional white-label AI voice controls for endpoints that generate LLM interpretation text.
Western zodiac sign (case-insensitive), e.g. aries … pisces.
Example:
"leo"
Available options:
weekly, monthly Required string length:
1 - 60Example:
"Moon & Co"
Available options:
professional, casual, mystical, playful, formal Available options:
consumer, employee, manager, customer, community Available options:
default, workplace, financial_wellness, entertainment Required string length:
2 - 10⌘I